Skip to main content

Get Taker Buy/Sell Volume

Get the taker buy and sell volume data for a futures symbol over a specified time period.

HTTP Request

GET /api/v1/future/market/taker-buy-sell

Request Parameters

ParameterTypeRequiredDescription
symbolstringYesTrading pair symbol (e.g., BTCUSDT)
periodstringYesTime period: "5m", "15m", "30m", "1h", "2h", "4h", "6h", "8h", "12h", "1d"

Request Example

curl -X GET "https://open-api.bydoxe.com/api/v1/future/market/taker-buy-sell?symbol=BTCUSDT&period=1h"

Response Parameters

ParameterTypeDescription
codestringResponse code
msgstringResponse message
requestTimenumberRequest timestamp in milliseconds
dataarrayArray of taker buy/sell volume data
> sellVolumestringTaker sell volume for the period
> buyVolumestringTaker buy volume for the period
> tsstringTimestamp in milliseconds (Unix timestamp)

Response Example

Success Response

{
"code": "00000",
"msg": "success",
"requestTime": 1732000000000,
"data": [
{
"sellVolume": "123.45",
"buyVolume": "234.56",
"ts": "1732000123456"
}
]
}

Error Codes

CodeMessage
40034symbol does not exist
40034period does not exist
50010Upstream response invalid